---

- name: Obtain the acl for a specific file
  acl:
    path: '{{ conda_home }}'
  register: acl_info

- name: Debug - current acl
  debug:
    var: acl_info

- name: Conda set ACL permission
  acl:
    path: "{{ conda_home }}"
    entity: "{{ conda_group_access }}"
    etype: group
    permissions: "{{ conda_acl_group_perm }}"
    recursive: true
    follow: no
    state: "{{ conda_acl_state }}"
  when: conda_acl_state != "absent"

- name: Conda set ACL permission default
  acl:
    path: '{{ conda_home }}'
    entity: "{{ conda_group_access }}"
    etype: group
    permissions: "{{ conda_acl_group_perm }}"
    default: true
    recursive: true
    follow: no
    state: "{{ conda_acl_state }}"
  when: conda_acl_state != "absent"

- name: Conda set ACL permission
  acl:
    path: "{{ conda_home }}"
    entity: "{{ conda_group_access }}"
    etype: group
    recursive: true
    follow: no
    state: "{{ conda_acl_state }}"
  when: conda_acl_state == "absent"

- name: Conda set ACL permission default
  acl:
    path: '{{ conda_home }}'
    entity: "{{ conda_group_access }}"
    etype: group
    default: true
    recursive: true
    follow: no
    state: "{{ conda_acl_state }}"
  when: conda_acl_state == "absent"
